loosing features when using New Symbology, Graduated symbol

2011-07-03 01:09 AM - Richard Duivenvoorde

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version: Regression?: No

Operating System: Ubuntu Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 14030

Description

When opening a shapefile (see test data attachement), and using Graduated symbol (new symbology), certain features are not shown

anymore. 

It looks like they do not have a symbol anymore.

Reproduction:

- start qgis

- open vector layer (attached)

- will open ok as single symbol layer, showing all 12 provinces of the netherlands

- open layer properties dialog, tab style (we are in new symbology here!)

- choose 'Graduated' and leave all on default values (see screendump dialog.png) 

(number of classes = 5, Mode = Equal interval, Column = PROVC)

- click 'Classify' and then 'Apply'

- now 'limburg' in lower left bottom is 'disappearing': seems not to have a symbol anymore ?

see screendump (limburg.png)

History

#1 - 2011-07-03 01:13 AM - Richard Duivenvoorde

- File nl_ok.png added

using mode 'Quantile' on same Column and number of classes shows all features ok (see nl_ok.png limburg is selected (red outline))

#2 - 2011-07-04 11:43 AM - Martin Dobias

- Resolution set to fixed

- Status changed from Open to Closed

Fixed in commit 88a2a625b55b943f5276
